Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026331RunnerWindows (YYC)Public2017-04-27 17:102017-08-04 11:12
ReporterStewart Bishop 
Assigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
StatusResolvedResolutionFixed 
PlatformOSOS Version
Summary0026331: Windows (YYC): Bitshifting in YYC provides different results than VM
DescriptionThe project in the sample URL draws different outputs to screen depending on what target you've chosen. With windows YYC it draws 0 (which is the bug I'm making this report for), while the normal windows draws the expected number 10.89. I've been using bitshifting as a shortcut to floor(variablename / 2) and floor(variablename / (2 to the power of some number)), so returning 0 instead of half the value made my GUI buggy.
Steps To Reproduce1) Run project in VM
2) Run project in YYC
1.4 Version1.99.533
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon Bug report bitshifting in YYC different from VM.gmz [^] (8,614 bytes) 2017-04-27 17:10

- Relationships

-  Notes
(0052960)
Mike Dailly (Manager)
2017-04-28 16:34

confirmed. YYC currently needs "real(b)*0.99" or "0.99*b" which isn't right.
(0052964)
Russell Kay (Manager)
2017-04-28 17:15

Fixed in gitlab - YYGML.h change so could be applied in the field
(0054776)
Russell Kay (Manager)
2017-08-04 11:12

Fixed in gitlab - if either number is a Real then the result is a Real


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker